Subject: Re: bug#23890: 25.0.94; Org-mode Table does not copy time interval correctly

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Jul 2016 17:49:20 +0300

> From: Rares Vernica <[email-masked]>
> Date: Sun, 3 Jul 2016 22:30:08 -0700
> 
> In the following table:
> 
> | [2016-07-03 Sun]--[2016-07-04 Mon] | 1d | d |
> | [2016-07-03 Sun]--[2016-07-05 Tue] | 2d | 2 d |
> #+TBLFM: $3=$2
> 
> The second column is computed by pressing C-u C-c C-y. This sequence
> calculates the time difference between the time-stamps in the previous
> column and inserts the difference in the current column. This is fine.
> 
> Now, for the third column, I insert the formula listed at the bottom of
> the table. Once applied, the result of the formula for the fist row is
> just "d" instead of "1d". So, it seems that the value is not copied
> correctly.
> 
> This seems to work fine if the time-stamp range is greater than one
> day. Also, for the second row, the value is copied correctly but there
> is an extra " " inserted between the number and the "d" letter. This
> might not be desirable.
> 
> Appending "D" at the end of the formula, yields the same result:
> 
> | [2016-07-03 Sun]--[2016-07-04 Mon] | 1d | d |
> | [2016-07-03 Sun]--[2016-07-05 Tue] | 2d | 2 d |
> #+TBLFM: $3=$2;D
> 
> I also tried appending "T" at the end of the formula:
> 
> | [2016-07-03 Sun]--[2016-07-04 Mon] | 1d | 00:00:01 |
> | [2016-07-03 Sun]--[2016-07-05 Tue] | 2d | 00:00:02 |
> #+TBLFM: $3=$2;T
> 
> The numeric value is copied correctly but the days are now changed to seconds.

Thanks, but I think you should first report this to the Org
developers.  Come back here if they say this is a problem in core
Emacs, not in Org code.